Skip Menu |
 

This queue is for tickets about the Net-SSLeay CPAN distribution.

Report information
The Basics
Id: 71013
Status: resolved
Priority: 0/
Queue: Net-SSLeay

People
Owner: Nobody in particular
Requestors: paul [...] city-fan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.37
Fixed in: (no value)

Attachments


Subject: [PATCH] Net::SSLeay 1.37 fails to build with OpenSSL < 0.9.8
Download (untitled) / with headers
text/plain 368b
Net::SSLeay 1.37 unconditionally uses various symbols that only became available in OpenSSL 0.9.8 such as X509_VERIFY_PARAM and X509_POLICY_NODE, causing build failures with older versions of OpenSSL. Additionally, the EVP_sha256 symbol is back in use again without the surrounding conditionals added for RT#48916. Attached patch fixes both of these problems for me.
Subject: Net-SSLeay-1.37-old-openssl.patch
--- Net-SSLeay-1.37/SSLeay.xs.orig 2011-07-25 21:52:27.000000000 +0100 +++ Net-SSLeay-1.37/SSLeay.xs 2011-09-16 10:42:48.388684367 +0100 @@ -1571,9 +1571,13 @@ if (!k && !strcmp(type,"sha1")) { k = 1; digest_tp = EVP_sha1(); } +#if OPENSSL_VERSION_NUMBER >= 0x0090800fL +#ifndef OPENSSL_NO_SHA256 if (!k && !strcmp(type,"sha256")) { k = 1; digest_tp = EVP_sha256(); } +#endif +#endif if (!k && !strcmp(type,"ripemd160")) { k = 1; digest_tp = EVP_ripemd160(); } @@ -2864,6 +2868,8 @@ #endif +#if OPENSSL_VERSION_NUMBER >= 0x0090800fL + X509_VERIFY_PARAM * X509_VERIFY_PARAM_new() @@ -2987,6 +2993,7 @@ X509_policy_node_get0_parent(node) X509_POLICY_NODE *node +#endif ASN1_OBJECT * OBJ_dup(o)
Download (untitled) / with headers
text/plain 107b
Thanks for this patch. It has been incorporated, and new version 1.38 has been uploaded to CPAN. Cheers.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.